Skip to main content
POST
/
browser
/
quick
Create profile with templates
curl --request POST \
  --url https://api.gologin.com/browser/quick \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "os": "win",
  "name": "My Test Profile",
  "osSpec": "win11"
}
'
import requests

url = "https://api.gologin.com/browser/quick"

payload = {
"os": "win",
"name": "My Test Profile",
"osSpec": "win11"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({os: 'win', name: 'My Test Profile', osSpec: 'win11'})
};

fetch('https://api.gologin.com/browser/quick', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

currentWorkspace
string

Body

application/json
os
enum<string>
required

OS type. It should be the same with the OS you want to run the browser on.

Available options:
lin,
mac,
win,
android,
android-cloud,
ios
Example:

"win"

name
string

Name of the profile.

Example:

"My Test Profile"

osSpec
enum<string>

Here you can specify OS specification. For example chip version for macos or version of windows.

Available options:
M1,
M2,
M3,
M4,
M5,
A18,
win11,
Example:

"win11"

Response

201 - undefined